PDA

View Full Version : TRS19 Save Edits Error



Cayden
October 6th, 2018, 04:51 PM
When I use a trainz-build of 4.6 TRS19 Content Manager says I need to have the line:

mesh-table-lod-transition-distances

When I add this line and set it to 0 I get the following error:

The meshes in LOD level must total 20% fewer polygons than the next higher LOD.

The asset only has 90 polys (tri) so doesn’t need LOD but with trainz-build of 4.6 it seems to insist on having this line.

The mesh-table is:

mesh-table

{
default
{
mesh "name.trainzmesh"
auto-create 1
}
}

What am I doing wrong?

Cayden

SailorDan
October 6th, 2018, 05:12 PM
The asset only has 90 polys (tri) so doesn’t need LOD but with trainz-build of 4.6 it seems to insist on having this line.
There is no lower limit for the LOD requirement. If you don't need build 4.6 then don't use it. If you have to use it, then create a simple rectangle (or similar small blob) for the furthest LOD mesh.